# Base Macros which need to be set
%define packageprefix fortune
%define packagebase pep-talk
%define archivebase %{packagebase}
%define fortunefilesprefix pep-talk
%define rel 2

# Derived Macros
%define archivewithver %{archivebase}-%{version}
%define archivefull %{archivewithver}.tar.gz

%define fortunedatadir %{_datadir}/games/fortunes

Name: %{packageprefix}-%{packagebase}
Version: 0.1.0
Release: %mkrel %{rel}
License: CC-BY-SA
Group: Toys

Source: https://github.com/garysweaver/%{packagebase}/archive/v%{version}/%{archivefull}
BuildArch: noarch
URL: https://github.com/garysweaver/pep-talk
BuildRequires: fortune-mod
Requires: fortune-mod
Summary: Pep talk quotes from Halls cough drops wrappers

%description
pep-talk is a quote-file with pep talk quotes from Halls cough drops
wrappers. It can be used with the Unix Fortune program.

%prep
%setup -n %{archivewithver} -q

%build

myprefix="%{fortunefilesprefix}"
rm -f *.dat
ls | grep -v "\\." | grep -v "[[:upper:]]" | \
    ( while read T ; do \
        mv "$T" "${myprefix}$T" ; \
        /usr/sbin/strfile "${myprefix}$T" "${myprefix}$T.dat" ; \
        done \
    )

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{fortunedatadir}
for I in *.dat ; do \
    cp $I "`echo "$I" | sed 's/\.dat$//'`" \
        $RPM_BUILD_ROOT/%{fortunedatadir} ; \
done

%files
%{fortunedatadir}/*
%doc README LICENSE



%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.1.0-2.mga6
+ Revision: 969809
- Mageia 6 Mass Rebuild

* Sat Sep 12 2015 shlomif <shlomif> 0.1.0-1.mga6
+ Revision: 878658
- Importing fortune-pep-talk - originally based on fortune-shlomif

